Package org.oasis_open.docs.ws_calendar.ns.soap

# Class TextMatchType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.TextMatchType

public class TextMatchType extends Object
The textMatch XML element specifies text used for a substring match against the property or parameter value specified in a calendaring REPORT request. The "collation" attribute is used to select the collation that the server MUST use for character string matching. In the absence of this attribute, the server MUST use the "i;ascii-casemap" collation. The "negate-condition" attribute is used to indicate that this test returns a match if the text matches when the attribute value is set to "no", or return a match if the text does not match, if the attribute value is set to "yes". For example, this can be used to match components with a STATUS property not set to CANCELLED.

Java class for TextMatchType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TextMatchType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="collation" type="{http://www.w3.org/2001/XMLSchema}string" default="i;ascii-casemap" />
           <attribute name="negate-condition" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         </extension>
       </simpleContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `collation`
  `protected Boolean`
  `negateCondition`
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextMatchType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollation()`
  Gets the value of the collation property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `boolean`
  `isNegateCondition()`
  Gets the value of the negateCondition property.
  `void`
  `setCollation(String value)`
  Sets the value of the collation property.
  `void`
  `setNegateCondition(Boolean value)`
  Sets the value of the negateCondition property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    protected String value

  - ### collation

    protected String collation

  - ### negateCondition

    protected Boolean negateCondition

- ## Constructor Details

  - ### TextMatchType

    public TextMatchType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCollation

    public String getCollation()
    Gets the value of the collation property.
    Returns:
      possible object is `String`

  - ### setCollation

    public void setCollation(String value)
    Sets the value of the collation property.
    Parameters:
      `value` - allowed object is `String`

  - ### isNegateCondition

    public boolean isNegateCondition()
    Gets the value of the negateCondition property.
    Returns:
      possible object is `Boolean`

  - ### setNegateCondition

    public void setNegateCondition(Boolean value)
    Sets the value of the negateCondition property.
    Parameters:
      `value` - allowed object is `Boolean`